Skip to main content
The availability of Wallets products and endpoints varies by blockchain. Whichever infrastructure model you select (user-controlled or developer-controlled), the same blockchains are supported. The account type you select (externally owned account or smart contract account) does affect which blockchains are available.

Supported blockchains

Blockchain networkChain codeWallets EOAWallets SCAGas Station
Aptos MainnetAPTOS
Aptos TestnetAPTOS-TESTNET
Arbitrum MainnetARB
Arbitrum Sepolia TestnetARB-SEPOLIA
Arc TestnetARC-TESTNET
Avalanche MainnetAVAX
Avalanche Fuji TestnetAVAX-FUJI
Base MainnetBASE
Base Sepolia TestnetBASE-SEPOLIA
Ethereum MainnetETH
Ethereum Sepolia TestnetETH-SEPOLIA
Monad MainnetMONAD
Monad TestnetMONAD-TESTNET
Near MainnetNEAROnly supports signing for developer-controlled wallets
Optimism MainnetOP
Optimism Sepolia TestnetOP-SEPOLIA
Polygon PoS MainnetMATIC
Polygon PoS Amoy TestnetMATIC-AMOY
Solana MainnetSOL
Solana DevnetSOL-DEVNET
Unichain MainnetUNI
Unichain Sepolia TestnetUNI-SEPOLIA
Other EVM blockchains
The following tokens and standards are supported across blockchains:
  • EVM-compatible blockchains: native coin, ERC-20, ERC-721, and ERC-1155
  • Solana: native coin, SPL

Support for additional EVM blockchains

If you need a consistent wallet address across multiple EVM blockchains, you can use the wallet creation APIs. When you create a wallet address on one EVM blockchain, you can replicate and map the same address to another. This 1-to-1 mapping ensures that the wallet address remains consistent across the blockchains you use.

User-controlled wallets

Send a POST request to the /user/wallets endpoint and include the same X-User-Token in the header for authentication. In the request body, pass the new blockchains you want to associate with the wallets in the blockchains field. The existing EVM wallet address is used by default to create the wallets on the newly specified blockchains.

Developer-controlled wallets

Send a POST request to the /developer/wallets endpoint and include the same walletSetId that was used for previously created wallets on another EVM blockchain. To ensure consistency, provide the same count value as the number of wallets associated with the walletSetId. To obtain the count for a specific walletSetId, send a GET request to the /developer/wallets?walletSetId=<ID> endpoint and include walletSetId as a query parameter. If you only need signing capabilities such as sign transaction, sign typed data, or sign message on EVM blockchains, you can create wallets with a blockchains value of EVM or EVM-TESTNET and use those wallets to sign across different EVM-compatible blockchains. For more information, see Signing APIs.
For EVM-TESTNET wallets, you can sign transactions on the blockchains listed in Chain IDs for signing transactions. After you transition to mainnet, you can use your EVM wallet to sign transactions on any EVM-compatible blockchain.

Endpoint support by API category

The following tables are organized by API category and list which endpoints are supported on each blockchain for both mainnet and testnet.

Developer-controlled wallets

The following tables group developer-controlled wallets endpoints by API category and show which blockchains support them.

Wallets API

Select the tab that matches the first letter range of your blockchain name to see supported wallet endpoints.

Transactions API

Select the tab that matches the first letter range of your blockchain name to see supported transactions endpoints.
*Note: Limited support for contract execution on AptosFor Aptos, the contract execution endpoints are available only for batch transfers, and requires fixed values for abiFunctionSignature and contractAddress.The following sample request body shows the required values.
JSON
{
  "idempotencyKey": "{{$YourUUID}}",
  "walletId": "639ff7f1-2fed-5de4-9976-c1706ca1ef88",
  "feeLevel": "MEDIUM",
  "abiFunctionSignature": "aptos_account::batch_transfer_fungible_assets(metadata:object::Object<fungible_asset::Metadata>,recipients:vector<address>,amounts:vector<u64>)",
  "abiParameters": [
    "0x69091fbab5f7d635ee7ac5098cf0c1efbe31d68fec0f2cd565e8d168daf52832",
    [
      "0xe78568bcfc30070fae04c1c4ba267eecc228e077672e18086baa042cbfb0ba70",
      "0xb8019c3e505fafe00edd1ba95c34f3f78e957da668c23ecb56ccd3a59ee8f21e"
    ],
    ["1", "1"]
  ],
  "contractAddress": "0x1",
  "refId": "aptos-testnet-contractExecution",
  "entitySecretCiphertext": "{{entity-secret-ciphertext}}"
}

Signing API

Select the tab that matches the first letter range of your blockchain name to see supported signing endpoints.
To sign transactions with an EVM-TESTNET wallet, use the appropriate chain ID. If you’re on mainnet, you can use an EVM wallet to sign transactions on any EVM-compatible chain.
AptosArbitrumArc TestnetAvalanche
Sign messageYesYesYesYes
Sign typed dataNoYesYesYes
Sign transactionNoEVM, EVM-TESTNET wallets onlyEVM, EVM-TESTNET wallets onlyEVM, EVM-TESTNET wallets only
Sign delegate actionNoNoNoNo

Token Lookup API

The retrieve a developer token endpoint is available for all supported blockchains except Near.

User-controlled wallets

The following tables group user-controlled wallets endpoints by API category and show which blockchains support them.

PIN Authentication API

The create a challenge to initialize a user endpoint is available on all supported blockchains.

Wallets API

Select the tab that matches the first letter range of your blockchain name to see supported wallet endpoints.

Transactions API

Select the tab that matches the first letter range of your blockchain name to see supported transaction endpoints.
*Note: Limited support for contract execution on AptosFor Aptos, the contract execution endpoints are available only for batch transfers, and requires fixed values for abiFunctionSignature and contractAddress.The following sample request body shows the required values.
JSON
{
  "idempotencyKey": "{{$YourUUID}}",
  "walletId": "639ff7f1-2fed-5de4-9976-c1706ca1ef88",
  "feeLevel": "MEDIUM",
  "abiFunctionSignature": "aptos_account::batch_transfer_fungible_assets(metadata:object::Object<fungible_asset::Metadata>,recipients:vector<address>,amounts:vector<u64>)",
  "abiParameters": [
    "0x69091fbab5f7d635ee7ac5098cf0c1efbe31d68fec0f2cd565e8d168daf52832",
    [
      "0xe78568bcfc30070fae04c1c4ba267eecc228e077672e18086baa042cbfb0ba70",
      "0xb8019c3e505fafe00edd1ba95c34f3f78e957da668c23ecb56ccd3a59ee8f21e"
    ],
    ["1", "1"]
  ],
  "contractAddress": "0x1",
  "refId": "aptos-testnet-contractExecution",
  "entitySecretCiphertext": "{{entity-secret-ciphertext}}"
}

Signing API

Select the tab that matches the first letter range of your blockchain name to see supported signing endpoints.
AptosArbitrumArc TestnetAvalanche
Create challenge to sign messageYesYesYesYes
Create challenge to sign typed dataNoYesYesYes
Create challenge to sign transactionNoEVM, EVM-TESTNET wallets onlyEVM, EVM-TESTNET wallets onlyEVM, EVM-TESTNET wallets only

Token Lookup API

The retrieve a user token endpoint is available on all supported blockchains except Near.